pom.xml revision 680f6e5c
1<?xml version="1.0" encoding="UTF-8"?>
2
3<!--
4  ~ Copyright (c) 2016 Cisco and/or its affiliates.
5  ~
6  ~ Licensed under the Apache License, Version 2.0 (the "License");
7  ~ you may not use this file except in compliance with the License.
8  ~ You may obtain a copy of the License at:
9  ~
10  ~     http://www.apache.org/licenses/LICENSE-2.0
11  ~
12  ~ Unless required by applicable law or agreed to in writing, software
13  ~ distributed under the License is distributed on an "AS IS" BASIS,
14  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
15  ~ See the License for the specific language governing permissions and
16  ~ limitations under the License.
17  -->
18<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
19         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
20
21    <modelVersion>4.0.0</modelVersion>
22    <groupId>io.fd.honeycomb.common</groupId>
23    <artifactId>common-scripts</artifactId>
24    <name>${project.artifactId}</name>
25    <version>1.17.07-SNAPSHOT</version>
26    <packaging>jar</packaging>
27
28    <properties>
29        <!-- groovy -->
30        <maven.groovy.version>2.0</maven.groovy.version>
31        <groovy.version>2.4.7</groovy.version>
32        <groovy.eclipse.compiler.version>2.9.2-01</groovy.eclipse.compiler.version>
33        <groovy.eclipse.batch.version>2.4.3-01</groovy.eclipse.batch.version>
34    </properties>
35
36    <build>
37        <pluginManagement>
38            <plugins>
39                <plugin>
40                    <groupId>org.apache.maven.plugins</groupId>
41                    <artifactId>maven-site-plugin</artifactId>
42                    <configuration>
43                        <skip>true</skip>
44                        <skipDeploy>true</skipDeploy>
45                    </configuration>
46                </plugin>
47            </plugins>
48        </pluginManagement>
49        <plugins>
50            <plugin>
51                <groupId>org.codehaus.groovy</groupId>
52                <artifactId>groovy-eclipse-compiler</artifactId>
53                <version>${groovy.eclipse.compiler.version}</version>
54                <extensions>true</extensions>
55            </plugin>
56            <plugin>
57                <artifactId>maven-compiler-plugin</artifactId>
58                <!-- 2.8.0-01 and later require maven-compiler-plugin 3.1 or higher -->
59                <configuration>
60                    <compilerId>groovy-eclipse-compiler</compilerId>
61                </configuration>
62                <dependencies>
63                    <dependency>
64                        <groupId>org.codehaus.groovy</groupId>
65                        <artifactId>groovy-eclipse-compiler</artifactId>
66                        <version>${groovy.eclipse.compiler.version}</version>
67                    </dependency>
68                    <!-- for 2.8.0-01 and later you must have an explicit dependency on groovy-eclipse-batch -->
69                    <dependency>
70                        <groupId>org.codehaus.groovy</groupId>
71                        <artifactId>groovy-eclipse-batch</artifactId>
72                        <version>${groovy.eclipse.batch.version}</version>
73                    </dependency>
74                </dependencies>
75            </plugin>
76        </plugins>
77    </build>
78
79    <dependencies>
80        <dependency>
81            <groupId>org.codehaus.groovy</groupId>
82            <artifactId>groovy-all</artifactId>
83            <version>${groovy.version}</version>
84        </dependency>
85    </dependencies>
86
87</project>